#include <pic/p16f877a.h>

#define FOSC_HZ 20000000

#include <uart.h>
#include <delayms.h>

int main (void)
{
	char c=0;
	char INTRO[6]="HOLA\n";
	char FIN[6]="FIN\n";

	delayms(100);
	uart_open(SET_9600_8N1);
	uart_set_baudrate(19200);
	uart_puts(INTRO);
	while(c!=13)
	{
		if(uart_kbhit()==1)
		{
			c=uart_getc();
			uart_putc(c);
		}
	}
	uart_puts(FIN);
	uart_close();
	return 0;	
}
